Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.security
Class SecurityRule

    java.lang.Object
      org.springframework.webflow.security.SecurityRule

    public class SecurityRule

extends java.lang.Object

Encapsulates the rules for comparing security attributes

Author:
  Scott Andrews

Field Summary
`static short` | `COMPARISON_ALL` Compare method where all attribute authorization allows access
`static short` | `COMPARISON_ANY` Compare method where any attribute authorization allows access
`static java.lang.String` | `SECURITY_ATTRIBUTE_NAME` Attribute name for the location of the security rule

Constructor Summary
`SecurityRule()`

Method Summary
`static java.util.Collection` | `commaDelimitedListToSecurityAttributes(java.lang.String attributes)` Convert attributes from comma separated String to Collection
`java.util.Collection` | `getAttributes()` Gets security attributes
`short` | `getComparisonType()` Gets comparison type
`static java.lang.String` | `securityAttributesToCommaDelimitedList(java.util.Collection attributes)` Convert attributes to comma separated String
`void` | `setAttributes(java.util.Collection attributes)` Sets security attributes
`void` | `setComparisonType(short comparisonType)` Sets comparison type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_ATTRIBUTE_NAME

    public static final java.lang.String SECURITY_ATTRIBUTE_NAME

  Attribute name for the location of the security rule

  See Also:
    Constant Field Values

### COMPARISON_ANY

    public static final short COMPARISON_ANY

  Compare method where any attribute authorization allows access

  See Also:
    Constant Field Values

### COMPARISON_ALL

    public static final short COMPARISON_ALL

  Compare method where all attribute authorization allows access

  See Also:
    Constant Field Values

Constructor Detail

### SecurityRule

    public SecurityRule()

Method Detail

### securityAttributesToCommaDelimitedList

    public static java.lang.String securityAttributesToCommaDelimitedList(java.util.Collection attributes)

  Convert attributes to comma separated String

  Parameters:
    `attributes` - the attributes to convert
  Returns:
    comma separated String

### commaDelimitedListToSecurityAttributes

    public static java.util.Collection commaDelimitedListToSecurityAttributes(java.lang.String attributes)

  Convert attributes from comma separated String to Collection

  Parameters:
    `attributes` - the attributes to convert
  Returns:
    comma parsed Collection

### getAttributes

    public java.util.Collection getAttributes()

  Gets security attributes

  Returns:
    security attributes

### setAttributes

    public void setAttributes(java.util.Collection attributes)

  Sets security attributes

  Parameters:
    `attributes` - security attributes

### getComparisonType

    public short getComparisonType()

  Gets comparison type

  Returns:
    comparison type

### setComparisonType

    public void setComparisonType(short comparisonType)

  Sets comparison type

  Parameters:
    `comparisonType` - comparison type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD